package cn.iocoder.yudao.module.erp.controller.admin.stock.vo.in;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StockInTypeEnum {

    其他入库("其他入库"),
    备件入库("备件入库"),
    原料入库("原料入库"),
    产品入库("产品入库"),
    生产入库("生产入库");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static StockInTypeEnum fromValue(String value) {
        for (StockInTypeEnum status : StockInTypeEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}